Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 268633 - dev-vcs/subversion einfo message too verbose
Summary: dev-vcs/subversion einfo message too verbose
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Tony Vroon
URL:
Whiteboard: python-overlay
Keywords: InOverlay, InVCS
Depends on:
Blocks:
 
Reported: 2009-05-04 16:56 UTC by Gokdeniz Karadag
Modified: 2011-08-18 09:50 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gokdeniz Karadag 2009-05-04 16:56:39 UTC
pkg_postinst function of subversion prints out too much text, around 50 lines.

It would be better if the info was contained in a gentoo doc web page. Then the ebuild can direct users to the web page.

Reproducible: Always
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2009-05-05 05:33:13 UTC
Not only that - it also prints many things that would better be left in #comments instead of being printed as einfo and elog messages. Build messages only add clutter to the output and are normally not displayed, let alone stored.
Comment 2 Gokdeniz Karadag 2009-09-28 15:34:29 UTC
elog messages seem to have _increased_ (with the added part about memcached)
Comment 3 Andreas K. Hüttel archtester gentoo-dev 2009-12-03 13:48:23 UTC
Seconded, please please shorten this, it clutters up the output a lot!
Comment 4 Dirkjan Ochtman gentoo-dev 2011-03-07 09:27:10 UTC
Arfrever, can you please respond to this? The size of the message is pretty annoying.
Comment 5 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2011-03-07 14:26:06 UTC
Maybe it would suffice to replace elog with echo.
Comment 6 SpanKY gentoo-dev 2011-03-07 14:27:24 UTC
if the info is useless enough to be in an `echo`, it's useless enough to not even exist in the first place.
Comment 7 Tomáš Chvátal (RETIRED) gentoo-dev 2011-03-07 14:28:31 UTC
(In reply to comment #6)
> if the info is useless enough to be in an `echo`, it's useless enough to not
> even exist in the first place.

How about doing it as webpage? Same as xorg-update guides are...
Comment 8 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2011-03-07 14:33:04 UTC
I will change the ebuilds to install a file in /usr/share/doc/${PF}.
Comment 9 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2011-06-29 20:29:31 UTC
Fixed in python overlay.
Comment 10 Tony Vroon gentoo-dev 2011-08-17 20:26:50 UTC
This is under consideration for 1.6.17-r1. Thank you for your report.
Comment 11 Tony Vroon gentoo-dev 2011-08-18 09:50:48 UTC
+*subversion-1.6.17-r1 (18 Aug 2011)
+
+  18 Aug 2011; Tony Vroon <chainsaw@gentoo.org> +files/47_mod_dav_svn.conf,
+  +files/80subversion-extras, +subversion-1.6.17-r1.ebuild,
+  +files/svnserve.initd2:
+  Cut down extraneous einfo as requested by Gokdeniz Karadag in bug #268633.
+  Removed USE=threadsafe requirement for sqlite as per Alan Hourihane in bug
+  #323951. Stop use of --chuid in init script as per Michael Mair-Keimberger in
+  bug #377781. Removed overengineered testing facilities; unmaintainable in
+  current state. Moved remaining inline configuration files to FILESDIR.
+  Removed custom inline print function.